=== debian/changelog ===
grpc (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #786375)

 -- Andrew Pollock <apollock@debian.org>  Thu, 07 May 2015 13:28:11 +1000
