=== debian/changelog ===
grpc (0.10.2-1) unstable; urgency=medium

  * New upstream release (closes: #795766)

 -- Andrew Pollock <apollock@debian.org>  Fri, 28 Aug 2015 09:26:25 +1000
