=== debian/changelog ===
grpc (0.11.0.0-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Wed, 09 Sep 2015 13:05:55 +1000
