=== debian/changelog ===
grpc (0.11.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: update maintainer with upstream address, add myself as
    uploader

 -- Andrew Pollock <apollock@debian.org>  Thu, 24 Sep 2015 11:33:03 +1000
