=== debian/changelog ===
grpc (0.12.0-1ubuntu1) zesty; urgency=medium

  * Disable building with errors for now.
  * Disable tests for now as they segfault.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 08 Feb 2017 10:15:15 +0530

grpc (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Mon, 18 Jan 2016 10:16:06 +1000
