=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: grpc
 Priority: optional
-Maintainer: gRPC Package Maintainers <grpc-packages@google.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: gRPC Package Maintainers <grpc-packages@google.com>
 Uploaders: Andrew Pollock <apollock@debian.org>, Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, libssl-dev, libprotobuf-dev, protobuf-compiler, libgflags-dev, libgtest-dev, libgoogle-perftools-dev, python
 Standards-Version: 3.9.6
